Mailinglist Archive: opensuse-packaging (138 mails)

< Previous Next >
Re: [opensuse-packaging] Trouble with the neededforbuild macro
  • From: Michal Marek <mmarek@xxxxxxx>
  • Date: Wed, 21 Mar 2007 11:07:49 +0100
  • Message-id: <460103F5.7040400@xxxxxxx>
Jules Colding wrote:
> I've experimented with the neededforbuild macro instead of adding
> additional BuildRequires statements. This unfortunately makes 'build'
> complain about failed build dependencies.

You shouldn't use # neededforbuild anymore. The build script supports it
only to be able to rebuild build packages from SUSE Linux <= 10.0, but
then it disregards BuildRequires:.

%if 0%{?suse_version}
BuildRequires: ...
%endif

is the way to go.

Michal
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-packaging+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups
References